---
title: Change Log
---

# Change Log

<div class="documentation__toc"></div>

## Introduction

All notable changes to this project will be documented in this file.

- `Added` for new features.
- `Changed` for changes in existing functionality.
- `Deprecated` for soon-to-be removed features.
- `Removed` for now removed features.
- `Fixed` for any bug fixes.
- `Security` in case of vulnerabilities.

### Versioning

This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### Deprecated Features

Features that are deprecated will generally be removed in the next `minor` update unless noted otherwise.

## Releases


### [2.4.16] - 2019-08-13
#### Fixed
- Fixed `event` dispatcher issues by replacing with helper.


### [2.4.15] - 2019-07-19
#### Added
- Added support for `php artisan refresh` command.


### [2.4.14] - 2019-05-14
#### Fixed
- Fixed issue related to seeding `enabled_locales`: https://github.com/pyrocms/pyrocms/issues/4966


### [2.4.13] - 2019-03-13
#### Added
- Added `settings:dump` CLI command.

#### Fixed
- Fixed issues around `config:cache` like closures and re-generating cache on settings save.

#### Changed
- Changed `composer.json` to include proper support links.
- Changed `composer.json` to use `"anomaly/streams-platform": "^1.6"`.
- Changed the method in which settings configures the system to use dumped settings.
